View Issue Details

IDProjectCategoryView StatusLast Update
0017137MediaMonkey 5Main Panelpublic2021-10-22 15:52
Reporterlowlander Assigned To 
PriorityurgentSeveritymajorReproducibilityalways
Status closedResolutionfixed 
Product Version5.0 
Target Version5.0Fixed in Version5.0 
Summary0017137: Lyrics window doesn't lookup Lyrics / eternal searching Lyrics
Description1) When the Lyrics window is enabled, but the Preview window is disabled, the Lyrics window only looks at the Lyrics associated with the file instead of doing a lookup when the Lyrics are unknown.

2) With the Preview window enabled, but Lyrics unknown at start of Playback, the Lyrics window will show Searching (Lyrics) as long as the file plays even though the Preview window shows 'Lyrics not found'.

3) The Playing node set to Artwork View also suffers from Searching (Lyrics) when a file that failed to find Lyrics the last time it was played is played. So it works on the first time a file is played, but not the next time it is played. This may require the Preview and/or Lyrics window to be enabled.
TagsNo tags attached.
Fixed in build2287

Relationships

related to 0017456 closedmichal Unsaved lyrics should be saveable in the same way as unsaved Artwork 
related to 0017451 closedmichal Lyrics lookup isn't working correctly (regression) 

Activities

rusty

2020-12-10 05:14

administrator   ~0060675

All of the above problems seem to be variants of the same issue: whenever multiple lyric lookup processes are running for the same track, they all fail. i.e. it fails for all of the following scenarios:
a) Options > Metadata lookup > Lyrics [disabled] + lyrics element + Playing [Lyrics]
b)i) Options > Metadata lookup > Lyrics [enabled] + preview + Playing [Lyrics]
b)ii) Options > Metadata lookup > Lyrics [enabled] + preview + Lyrics element
biii) Options > Metadata lookup > Lyrics [enabled] + lyrics element + Playing [Lyrics]

michal

2020-12-14 17:59

developer   ~0060765

Fixed in build 2284.

rusty

2020-12-15 03:20

administrator   ~0060782

Tested 2285 and scenario a is still buggy (I didn't test any other scenarios yet). There are 2 issues that I can see:
i) lookups in both Lyrics panel element and Playing [Lyrics] at the same time fail (i.e. the originally described issue)
ii) once a failure occurs, lyrics lookup always fails (e.g. even if the Playing [Lyrics] is disabled)!

https://www.screencast.com/t/GG0ZcKBkra

michal

2020-12-16 13:35

developer   ~0060804

Fixed in build 2287.

peke

2020-12-19 17:42

developer   ~0060939

Verified 2288 using described steps and have no issues.

@Rusty please close after second test?

rusty

2021-01-28 16:19

administrator   ~0061589

Last edited: 2021-01-28 16:54

View 2 revisions

User indicated that this issue isn't completely fixed:
https://www.mediamonkey.com/forum/viewtopic.php?f=30&t=98265

But it appears to be a different issue 0017451

peke

2021-10-22 15:52

developer   ~0065434

Verified 2511

Unable to replicate, tested during 0017890 and other related fixes.